Name:		abiword
Summary:	Lean and fast full-featured word processor
Version:	0.99.1
Release:	4mdk
Group:		Office
License:	GPL
URL:		http://www.abisource.com/

Source:     http://prdownloads.sourceforge.net/abiword/%{name}-%{version}.tar.bz2
Source6:	abiword-48.png.bz2
Source7:	abiword-32.png.bz2
Source8:	abiword-16.png.bz2

Source21:	fonts.dir.zh-CN
Source22:	fonts.dir.zh-TW
Source23:	fonts.dir.zh-GBK
# (fc) 0.99.1-1mdk fix options given to wv
Patch0: abiword-0.99.1-wv.patch.bz2
# (fc) 0.99.1-1mdk fix bad locale detection when they contains a modifier (like @euro)
Patch1: abiword-0.99.1-modifier.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	GConf-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	freetype2-devel
BuildRequires:	gcc-c++
BuildRequires:	gnome-vfs-devel
BuildRequires:	gnome-print-devel
BuildRequires:	libMagick-devel
BuildRequires:	libbzip2-devel
BuildRequires:	libgal-devel
BuildRequires:	libglade-devel
BuildRequires:	libtool-devel
BuildRequires:	libpspell-devel
BuildRequires:	libwmf-devel >= 0.2.1
BuildRequires:	libxml2-devel
BuildRequires:	texinfo

Obsoletes: abisuite
Provides: abisuite = %{version}


%description
AbiWord is a cross-platform, Open Source Word Processor developed
by the people at AbiSource, Inc. and by developers from around the world.
(http://www.abisource.com)
It is a lean and fast full-featured word processor. It works on Microsoft
Windows and most Unix Systems. Features include:

   * Basic character formatting (bold, underline, italics, etc.)
   * Paragraph alignment
   * Spell-check
   * Import of Word97 and RTF documents
   * Export to RTF, Text, HTML, and LaTeX formats
   * Interactive rulers and tabs
   * Styles
   * Unlimited undo/redo
   * Multiple column control
   * Widow/orphan control
   * Find/Replace
   * Images 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .wv
%patch1 -p1 -b .modifier

cd abi
./autogen.sh

rm -Rf ../libpng

%build

cd abi

%configure2_5x --with-pspell --enable-gnome

ABI_OPT_DEBUG=0 %make


(cd ../abiword-plugins 
%configure2_5x --prefix=%{_datadir}/AbiSuite --disable-gdict --enable-babelfish --enable-wikipedia --enable-freetranslation --enable-bz2abw --enable-gdkpixbuf --disable-aiksaurus
%make
)


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
cd abi

%makeinstall_std

(cd ../abiword-plugins 
%makeinstall_std
)

# copy the dictionnaries
cp -f ../abispell/be/* $RPM_BUILD_ROOT%{_datadir}/AbiSuite/dictionary/

# Fixes for symlink in {_bindir}
rm -f $RPM_BUILD_ROOT%{_bindir}/{abiword,AbiWord_s}
ln -s %{_bindir}/AbiWord $RPM_BUILD_ROOT%{_bindir}/abiword

# (fg) Icons
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE6} > $RPM_BUILD_ROOT%{_liconsdir}/abiword.png
bzcat %{SOURCE7} > $RPM_BUILD_ROOT%{_iconsdir}/abiword.png
bzcat %{SOURCE8} > $RPM_BUILD_ROOT%{_miconsdir}/abiword.png

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/abiword" section="Office/Wordprocessors" \
icon="abiword.png" needs="x11" title="AbiWord" \
longtitle="RTF and Microsoft Word (up to 97) document editor"
EOF

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/AbiSuite/fonts/{zh-CN.GB2312,zh-TW.Big5,zh-CN.GBK}
install -c -m 0644 %{SOURCE21} $RPM_BUILD_ROOT%{_datadir}/AbiSuite/fonts/zh-CN.GB2312/fonts.dir
install -c -m 0644 %{SOURCE22} $RPM_BUILD_ROOT%{_datadir}/AbiSuite/fonts/zh-TW.Big5/fonts.dir
install -c -m 0644 %{SOURCE23} $RPM_BUILD_ROOT%{_datadir}/AbiSuite/fonts/zh-CN.GBK/fonts.dir

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc abi/user/wp/readme.txt abi/BUILD abi/BUILD.TXT abi/BiDiReadme.txt abi/COPYING abi/COPYRIGHT.TXT abi/CREDITS.TXT abi/README.TXT abi/TODO.TXT abi/UnixFonts.txt abi/UnixLocales.txt abi/VERSION.TXT abi/abi2po.pl abi/po2abi.pl
%doc abi/docs/*.abw abi/docs/*.txt abi/docs/*.html abi/docs/status/*.xsl abi/docs/status/*.xml
%{_bindir}/*
%{_menudir}/%{name}
%dir %{_datadir}/AbiSuite
%{_datadir}/AbiSuite/AbiWord
%{_datadir}/AbiSuite/README
%{_datadir}/AbiSuite/clipart
%dir %{_datadir}/AbiSuite/dictionary
%{_datadir}/AbiSuite/dictionary/american.hash
%lang(en_GB) %{_datadir}/AbiSuite/dictionary/british.hash
%lang(pt_BR) %{_datadir}/AbiSuite/dictionary/brazilian.hash
%lang(de) %{_datadir}/AbiSuite/dictionary/deutsch.hash
%lang(es) %{_datadir}/AbiSuite/dictionary/espanol.hash
%lang(fr) %{_datadir}/AbiSuite/dictionary/francais.hash
%lang(ga) %{_datadir}/AbiSuite/dictionary/galician.hash
%lang(it) %{_datadir}/AbiSuite/dictionary/italian.hash
# don't ship latin, I don't know which lang is the good one for it..
#%{_datadir}/AbiSuite/dictionary/mlatin.hash
%lang(pt_PT) %{_datadir}/AbiSuite/dictionary/portugues.hash
%lang(sl) %{_datadir}/AbiSuite/dictionary/slovensko.hash
%lang(sk) %{_datadir}/AbiSuite/dictionary/svenska.hash
%{_datadir}/AbiSuite/fonts
%{_datadir}/AbiSuite/icons
%{_datadir}/AbiSuite/templates
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.1-4mdk
- xpm -> png icons

* Sun Jan 27 2002 Stefan van der Eijk <stefan@eijk.nu> 0.99.1-3mdk
- forgot one BuildRequires

* Tue Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 0.99.1-2mdk
- BuildRequires

* Fri Jan 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.1-1mdk
- Release 0.99.1
- Add new plugins, thanks to Rui Miguel Seabra
- Add dictionnaries
- Don't build with libxml2, it breaks some translations
- Patch0: give correct configure flags to wv
- Patch1: fix locale detection when modifier are used (like in @euro)

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-1mdk
- Release 0.9.5
- Enable libxml2 and gnome build
- Switch to autoconf based build system
- Clean specfile
- Remove patch0

* Sat Dec  1 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.9.4.1-2mdk
- cast pointer to unsigned long not UT_uint32 (fixes 64-bit build)

* Wed Oct 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.4.1-1mdk
- new version
- compiled with libpng3

* Tue Oct 16 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.4-1mdk
- new version

* Mon Oct 08 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.9.2-3mdk
- Correted chinese printing PS font name

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.2-2mdk
- BuildRequires: libtool --> libtool-devel

* Thu Aug 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- Release 0.9.2

* Thu Aug  2 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-2mdk
- fixes fonts.dir for cooker (mdk8.1), works both mdk8.0& cooker

* Wed Aug  1 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.0-1mdk
- changed name back to abiword, new tarball includes everything we need
- changed setup, compilation, paths, and so on.

* Fri Jul 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.0-0.pre20010714.4mdk
- Fix dependency on libpspell

* Sun Jul 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.0-0.pre20010714.3mdk
- BuildRequires: libtool-devel
- Copyright --> License
- Removed BuildRequires:	glib-devel
- Removed BuildRequires:	gtk+-devel
- Removed BuildRequires:	libpng-devel
- Removed BuildRequires:	zlib-devel

* Sun Jul 15 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.pre20010714.2mdk
- add GBK support, fonts/zh_CN.GBK

* Sat Jul 14 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.pre20010714.1mdk
- CVS 20010714 (Sat Jul 14 03:06:05 UTC 2001)
- fixes for fonts.dir.zh-CN and fonts.dir.zh-TW, add fonts.dir.zh-GBK
- fonts.dir for CJK should include four style(normal/Bold/Italic/italic-Bold) for each underline ttf font
- built both on mdk8 and cooker

* Thu Jul 12 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.7.15-0.pre20010612.1mdk
- Latest nightly building from http://www.abisource.com/~sam/nightly/latest/

* Thu Jul 12 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.2mdk
- build from CVS Thu Jul 12 08:07:57 UTC 2001

* Sat Jul 08 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.1mdk
- build from CVS 2001-07-08

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-9mdk
- BuildRequires: libunicode-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-8mdk
- BuildRequires: gdk-pixbuf-devel
- remove BuildRequires: popt-devel (Stefan sux)

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-7mdk
- BuildRequires: popt-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-6mdk
- BuildRequires: gnome-print-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-5mdk
- BuildRequires: gnome-libs-devel

* Wed Jun 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.14-4mdk
- Rebuild against latest gal
- correct menu entry

* Mon Jun 11 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.7.14-3mdk
- quick fixes for CJK fonts
- add fonts.dir for Chinese TTF fonts

* Fri Jun  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.14-2mdk
- recompile for libltdl suxxing

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.14-1mdk
- Use official sources
- Recompiled against latest gal

* Mon May 21 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.7.14-0.3mdk
- rebuild with new libpspell

* Fri Apr  6 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.14-0.2mdk
- separated abisuite data directory into 3 entries in the filelist, to add a 
"noreplace" parameter to fonts.dir and fonts.scale (to keep user modifications when upgrading).
(thanks to Ha Duong Minh)

* Thu Apr  5 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.14-0.1mdk
- version from gnome 1.4 extra apps; tagged 0.1 until official release.
- added chkfontpath in post and postun + PreReq
- require on libpng
- more docs

* Mon Apr  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.13-3mdk
- Patch6 : include correct headers in libole code
- Correct libxml dependencies

* Thu Mar 15 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.13-2mdk
- added compilation options (gnome,libxml,pspell)

* Tue Mar 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.13-1mdk
- new version

* Thu Jan 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.11-7mdk
- back to -O3 (for Fcrozat who is doesn't know how to check build flags ;)

* Sat Dec 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.11-6mdk
- build with -O2 to fix gcc internal error.

* Tue Nov  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.11-5mdk
- Rebuild against last libstdc++ and using optimizations
- Patch to build with gcc 2.96
- Use more macros

* Wed Oct  4 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-4mdk
- Add ABI_BUILD_VERSION so version numbers work (from Tristan Henderson)

* Tue Oct  3 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-3mdk
- patch to avoid a clash between wv.h provided by abiword/wv module and 
  wmfapi.h (which it tries to include when wmf lib is correctly detected) 

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.11-2mdk
- added build requires on libwmf gtk+-devel glib-devel freetype-devel xpm-devel zlib-devel libpng-devel.

* Mon Sep 18 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-1mdk
- new version
- updated menus patch
- added toolbars patch

* Thu Sep  7 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.10-2mdk
- macroszification
- added liconsdir

* Wed Jul 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.10-1mdk
- Update to 0.7.10 (from Helix)
- change menu update
- move doc to standard location
- BM

* Sun May 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.9-1mdk
- Fix descriptions (RPM & menu)

* Tue May  2 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.9-1mdk
- Update to 0.7.9
- Nothing sucks :)

* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-7mdk
- fg sucks - menu entry really really added this time :-)
- fixed sources location

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.8-6mdk
- Real description

* Tue Apr 11 2000 Francis Galiegue <fg@mandrakesoft.com> 0.7.8-5mdk
- Titi sucks - menu entry really added this time
- Titi sucks - %post and %postun were incorrect
- Titi sucks - there were no icons, now there are
- Removed SMP cruft

* Wed Apr 05 2000 Jerome Martin <jerome@mandrakesoft.com> 0.7.8-4mdk
- Fixing distribution tag

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-3mdk
- add menu entry

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-2mdk
- clean spec: remove last garbages of file lists
- now compliant to the new naming scheme
- fix /usr/share/abisuite/bin/abiword incorectely linked on
  /var/tmp/abisuite-buildroot/usr/share/abisuite/AbiSuite/bin/AbiWord
  This bug is present at least since 0.7.7-3mdk!!

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 0.7.8-1mdk
- 0.7.8
- PPC Support

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.7-2mdk
- Fix alpha/sparc compilation.

* Thu Jan 13 2000 Saugey Vincent <vince@mandrakesoft.com>
- update to 0.7.7

* Thu Oct 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 0.7.6

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker.

* Fri Sep 10 1999 Daouda LO <daouda@mandrakesoft.com>
- Mandrake adaptations
- bzipped the sources
- Make the package relocatable

* Sun Sep 05 1999 Vu Hung Quan <binaire@videotron.ca>
- update to 0.7.5 ; redhat adaptation

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
